Security Enhanced Linux Reference Policy

# Layer: services

## Module: pwauth

Interfaces

### Description:

External plugin for mod_authnz_external authenticator.

### Interfaces:

pwauth_domtrans( domain )

##### Summary

Execute pwauth in the pwauth domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

pwauth_role( role , domain )

##### Summary

Role access for pwauth.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

pwauth_run( domain , role )

##### Summary

Execute pwauth in the pwauth domain, and allow the specified role the pwauth domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return